Bug 507654 - Kdevelop's default libtool support is broken
Kdevelop's default libtool support is broken
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: kdevelop (Show other bugs)
11
All Linux
low Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-23 12:26 EDT by Rick L Vinyard Jr
Modified: 2009-07-31 19:42 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-31 19:42:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 201932 None None None Never

  None (edit)
Description Rick L Vinyard Jr 2009-06-23 12:26:28 EDT
Kdevelop version: 3.5.10-11

Although this is probably an upstream issue, I'll file a BR here because it is the result of a specific interaction with the version of libtool in F11.

When developing libtool projects in kdevelop you need to explicitly set the debugging shell to 'libtool'. When you create a new project in kdevelop the project options will have this already set.

However, the version of libtool in F11 requires that the debugging shell be set to 'libtool --mode=execute'.

Therefore, debugging appears to be broken with default and older projects.
Comment 1 Steven M. Parrish 2009-07-22 09:16:11 EDT
Thank you for taking the time to report this issue.

This is an issue that needs to be addressed by the upstream developers. Please report this at http://bugs.kde.org and then add the upstream report information to this report.  We will monitor the upstream report for a resolution to this issue, and will review any bug fixes that become available for consideration in future updates.

Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.

Thanks in advance.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 Kevin Kofler 2009-07-22 09:27:07 EDT
Is KDevelop 3 still being developed? I think the developers spend most of their time on the KDevelop 4 betas these days.
Comment 3 Rick L Vinyard Jr 2009-07-29 16:16:52 EDT
(In reply to comment #1)
> Thank you for taking the time to report this issue.
> 
> This is an issue that needs to be addressed by the upstream developers. Please
> report this at http://bugs.kde.org and then add the upstream report information
> to this report.  We will monitor the upstream report for a resolution to this
> issue, and will review any bug fixes that become available for consideration in
> future updates.
> 
> Setting status to NEEDINFO, and awaiting upstream bug report URL for tracking.
> 
> Thanks in advance.

Upstream bug report:
http://bugs.kde.org/show_bug.cgi?id=201932
Comment 4 Steven M. Parrish 2009-07-31 19:42:24 EDT
Thanks for reporting this issue upstream.  Going to close this report but will monitor the upstream report for a resolution.

-- 
Steven M. Parrish - KDE Triage Master
                  - PackageKit Triager
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers

Note You need to log in before you can comment on or make changes to this bug.